package com.unprompted.tildefriends;

import android.content.Context;
import android.util.AttributeSet;

public class TildeFriendsWebView extends android.webkit.WebView {
	boolean overscrolledY = false;

	public TildeFriendsWebView(final Context context) {
		super(context);
	}

	public TildeFriendsWebView(final Context context, final AttributeSet attrs) {
		super(context, attrs);
	}

	@Override
	protected void onOverScrolled(int scrollX, int scrollY, boolean clampedX, boolean clampedY) {
		super.onOverScrolled(scrollX, scrollY, clampedX, clampedY);
		overscrolledY = true;
	}

	public boolean getOverscrolledY() {
		return overscrolledY;
	}

	public void clearOverscrolledY() {
		overscrolledY = false;
	}
}
